<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/1_Core/constants.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/dca/1___core_2constants_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">constants.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/dca/1___core_2constants_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga0e1da8543b616f6fba6f2f729570f21b">   13</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga0e1da8543b616f6fba6f2f729570f21b">INPUT_MODULE_TYPE_MASK</a>    = 0x00700000;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga62f3d271931d8cdb3456dbce0d43b010">   14</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga62f3d271931d8cdb3456dbce0d43b010">INPUT_KEY_MASK</a>            = 0x000000ff;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga6e28930e53f5a93cade50cd4e926dc97">   15</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga6e28930e53f5a93cade50cd4e926dc97">INPUT_ACTION_TYPE_MASK</a>    = 0x00000f00;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga7d438bb0305c8a1c7fade496fe0eb6c4">   16</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga7d438bb0305c8a1c7fade496fe0eb6c4">INPUT_AXIS</a>                = 0x00010000;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga37127727e04d485dbb440f05df18488b">   17</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga37127727e04d485dbb440f05df18488b">INPUT_POV</a>                 = 0x00020000;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga6f089dce2f92302deaf9bb40edc58528">   18</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga6f089dce2f92302deaf9bb40edc58528">INPUT_COMBO_MASK</a>          = 0xff000000;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga53ac46bdbb8a66270b49bc1a708e1f6a">   19</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga53ac46bdbb8a66270b49bc1a708e1f6a">INPUT_COMBO_AXIS</a>          = 0x00800000;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga48849f9d3bd3bff1614d8270446dcadd">   20</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga48849f9d3bd3bff1614d8270446dcadd">INPUT_COMBO_AXIS_OFFSET</a>   = 0x00000080;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga781bc4a1620839607824c93a0b812d8d">   21</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga781bc4a1620839607824c93a0b812d8d">INPUT_COMBO_KEY_OFFSET</a>    = 0x01000000;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#gad603ec239bd09bc7e5f2ce09cbeb8961">   23</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#gad603ec239bd09bc7e5f2ce09cbeb8961">INPUT_DEVICE_KEYBOARD</a>     = 0x00000000;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga1aed04c18ca40373493ed33489d39366">   24</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga1aed04c18ca40373493ed33489d39366">INPUT_DEVICE_MOUSE</a>        = 0x00100000; <span class="comment">// mouse button</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga4e9263b2bea86d43a16a09f02c7dbdd6">   25</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga4e9263b2bea86d43a16a09f02c7dbdd6">INPUT_DEVICE_STICK</a>        = 0x00200000;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#gacf3f8be9835a62a3ec02462f83ffdc27">   26</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#gacf3f8be9835a62a3ec02462f83ffdc27">INPUT_DEVICE_XINPUT</a>       = 0x00300000; <span class="comment">// XInput device</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga78b90e8e45ba421bd03630375de2f44e">   27</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga78b90e8e45ba421bd03630375de2f44e">INPUT_DEVICE_TRACKIR</a>      = 0x00400000;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga8a10a4ecb0bb65754e0c389a4a5161f1">   28</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga8a10a4ecb0bb65754e0c389a4a5161f1">INPUT_DEVICE_GAMEPAD</a>      = 0x00500000;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga2676ee945a16e6e3b2c80371b799c8cc">   29</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga2676ee945a16e6e3b2c80371b799c8cc">INPUT_DEVICE_CHEAT</a>        = 0x00600000;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#gad7b2fcabfc7926abe24700de48abd155">   31</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#gad7b2fcabfc7926abe24700de48abd155">INPUT_ACTION_TYPE_NONE</a>            = 0x00000000;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga2806f278e1ab4870ae33bff2c9a2a3cb">   32</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga2806f278e1ab4870ae33bff2c9a2a3cb">INPUT_ACTION_TYPE_STATE</a>           = 0x00000100;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#gacf8975f52bccc8a0ad5668d95d007917">   33</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#gacf8975f52bccc8a0ad5668d95d007917">INPUT_ACTION_TYPE_DOWN_EVENT</a>      = 0x00000200;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga5994e1c4bf7235343ed25ed46c5263c8">   34</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga5994e1c4bf7235343ed25ed46c5263c8">INPUT_ACTION_TYPE_UP_EVENT</a>        = 0x00000300;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga73bfeba6e52accfac238582c35f1cfae">   35</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga73bfeba6e52accfac238582c35f1cfae">INPUT_ACTION_TYPE_SHORTCLICK_EVENT</a>= 0x00000400;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga2e75d42358741665e0d422cdd395cc91">   36</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga2e75d42358741665e0d422cdd395cc91">INPUT_ACTION_TYPE_HOLD_EVENT</a>      = 0x00000500;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga9dd5a20a3f5e67d8a500e7698b098a36">   38</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga9dd5a20a3f5e67d8a500e7698b098a36">INPUT_ACTION_TYPE_COMBO</a>           = 0x00002000;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#gadf1d72e933206d5942871fd0706efbfe">   39</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#gadf1d72e933206d5942871fd0706efbfe">INPUT_ACTION_TYPE_SPECIALCOMBO</a>    = 0x00004000;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga51177486a6bbc1c01a2d09f964e3ac13">   40</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga51177486a6bbc1c01a2d09f964e3ac13">INPUT_ACTION_TYPE_DOUBLETAP</a>       = 0x00008000;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga8bf42673989ad3005319516f44af2ba8">   42</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga8bf42673989ad3005319516f44af2ba8">INPUT_DEVICE_MOUSE_AXIS</a>       = (<a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga1aed04c18ca40373493ed33489d39366">INPUT_DEVICE_MOUSE</a> | <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga7d438bb0305c8a1c7fade496fe0eb6c4">INPUT_AXIS</a>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#ga376f4fcb616c5a019b1585a73105e48b">   43</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga376f4fcb616c5a019b1585a73105e48b">INPUT_DEVICE_STICK_AXIS</a>       = (<a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga4e9263b2bea86d43a16a09f02c7dbdd6">INPUT_DEVICE_STICK</a> | <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga7d438bb0305c8a1c7fade496fe0eb6c4">INPUT_AXIS</a>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#gad51cd4480ea33a86d9f157a58bae9993">   44</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#gad51cd4480ea33a86d9f157a58bae9993">INPUT_DEVICE_STICK_POV</a>        = (<a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga4e9263b2bea86d43a16a09f02c7dbdd6">INPUT_DEVICE_STICK</a> | <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga37127727e04d485dbb440f05df18488b">INPUT_POV</a>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d1/dc3/group___input_device.html#gaefde5a663cdda3cfaa6c221ba151b487">   45</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#gaefde5a663cdda3cfaa6c221ba151b487">INPUT_DEVICE_GAMEPAD_AXIS</a>     = (<a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga8a10a4ecb0bb65754e0c389a4a5161f1">INPUT_DEVICE_GAMEPAD</a> | <a class="code hl_variable" href="../../d1/dc3/group___input_device.html#ga7d438bb0305c8a1c7fade496fe0eb6c4">INPUT_AXIS</a>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d1/d84/group___string_constants.html#gafc1a547acaf02f4fd1a0d9e1bf190142">   54</a></span><span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d1/d84/group___string_constants.html#gafc1a547acaf02f4fd1a0d9e1bf190142">STRING_EMPTY</a> = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../dd/d13/group___colors.html#ga67e1e0c1b9c65f5fd2a68c9323808c03">   63</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d13/group___colors.html#ga67e1e0c1b9c65f5fd2a68c9323808c03">COLOR_RED</a> = 0xFFF22613;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../dd/d13/group___colors.html#ga99b2555651fb3bdd7bca23e5b6553968">   64</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d13/group___colors.html#ga99b2555651fb3bdd7bca23e5b6553968">COLOR_GREEN</a> = 0xFF2ECC71;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../dd/d13/group___colors.html#ga2b44fba5aa42271c2d9d224a8f5583db">   65</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d13/group___colors.html#ga2b44fba5aa42271c2d9d224a8f5583db">COLOR_BLUE</a> = 0xFF4B77BE;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../dd/d13/group___colors.html#gafece9f43fd3cfa396624aad4aa7bba33">   66</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d13/group___colors.html#gafece9f43fd3cfa396624aad4aa7bba33">COLOR_YELLOW</a> = 0xFFF7CA18;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../dd/d13/group___colors.html#ga4d15e7681836d9172182f12364a7603f">   68</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d13/group___colors.html#ga4d15e7681836d9172182f12364a7603f">COLOR_RED_A</a> = 0x1fF22613;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../dd/d13/group___colors.html#gafeaeed5f47ca7e9f11f7e7f31ebae401">   69</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d13/group___colors.html#gafeaeed5f47ca7e9f11f7e7f31ebae401">COLOR_GREEN_A</a> = 0x1f2ECC71;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../dd/d13/group___colors.html#ga47541ebd6a462cb65cd01ea38b38f73a">   70</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d13/group___colors.html#ga47541ebd6a462cb65cd01ea38b38f73a">COLOR_BLUE_A</a> = 0x1f4B77BE;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../dd/d13/group___colors.html#gab99c2e5fe0809461bf77fd90b9df62a2">   71</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d13/group___colors.html#gab99c2e5fe0809461bf77fd90b9df62a2">COLOR_YELLOW_A</a> = 0x1fF7CA18;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="comment">/****************************************************************************</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="comment"> *  MATERIALS LIST</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="comment"> *  </span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="comment"> *  Note: If you add new materials here, don&#39;t forget to add physics</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span><span class="comment"> *  parameters to them in physics/materials.xml</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span><span class="comment"> ***************************************************************************/</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#ga5a745a05e1dff3a62259aebb5dba5efe">   87</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#ga5a745a05e1dff3a62259aebb5dba5efe">MATERIAL_DEFAULT</a>          = 0;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#gaab090c538f14f793e44f338cd59edd81">   88</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#gaab090c538f14f793e44f338cd59edd81">MATERIAL_METAL</a>            = 1;    <span class="comment">//full steel</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#ga3c8b9b2ce7e2f18934a8da873babbe1d">   89</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#ga3c8b9b2ce7e2f18934a8da873babbe1d">MATERIAL_IRON</a>             = 2;    <span class="comment">//iron</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#gaea2ee568a35593e32d4538b05ebf2b0b">   90</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#gaea2ee568a35593e32d4538b05ebf2b0b">MATERIAL_GLASS</a>            = 3;    <span class="comment">//glass pane</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#gaf8cef8940424e6e00cffd2f5e74aaf29">   91</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#gaf8cef8940424e6e00cffd2f5e74aaf29">MATERIAL_PLASTIC</a>          = 4;    <span class="comment">//plastic object</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#ga7c3bc9698b26b54dfb5f36a6d2cebade">   92</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#ga7c3bc9698b26b54dfb5f36a6d2cebade">MATERIAL_LIQUID</a>           = 5;    <span class="comment">//liquids, water</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#ga961ac11ef1db0099f30821d5cfda6d1d">   93</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#ga961ac11ef1db0099f30821d5cfda6d1d">MATERIAL_SLIME</a>            = 6;    <span class="comment">//slime, oil etc</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#ga0ab8820d11774e49b8529ab051775ba7">   94</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#ga0ab8820d11774e49b8529ab051775ba7">MATERIAL_BETON</a>            = 7;    <span class="comment">//concrete</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#gafa11f62afc9d7de8c217a151face6d76">   95</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#gafa11f62afc9d7de8c217a151face6d76">MATERIAL_RUBBER</a>           = 8;    <span class="comment">//rubber, linoeum</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#gaf9d8e06cde08cedd9050bb5ab79f12c3">   96</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#gaf9d8e06cde08cedd9050bb5ab79f12c3">MATERIAL_FLESH</a>            = 9;    <span class="comment">//flesh, humanoids</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#gae26944626968c9ee81a557afdc38455f">   97</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#gae26944626968c9ee81a557afdc38455f">MATERIAL_GRASS</a>            = 10;   <span class="comment">//grass</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#gacc347625336c4c7bd1249f80e2ee777f">   98</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#gacc347625336c4c7bd1249f80e2ee777f">MATERIAL_WOOD</a>             = 11;   <span class="comment">//wood</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#ga5b066c904cbd1b2fbc89c4dd79143aa7">   99</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#ga5b066c904cbd1b2fbc89c4dd79143aa7">MATERIAL_SNOW</a>             = 12;   <span class="comment">//snow</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#gaf317a8043b586d174fc45279a2fb6735">  100</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#gaf317a8043b586d174fc45279a2fb6735">MATERIAL_SAND</a>             = 13;   <span class="comment">//soft sand</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#gabf56c72043efec5df6f3df0a48ff82be">  101</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#gabf56c72043efec5df6f3df0a48ff82be">MATERIAL_DIRT</a>             = 14;   <span class="comment">//super-soft dirt</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#ga1955721b1226f7ee7ad13776436dc7c9">  102</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#ga1955721b1226f7ee7ad13776436dc7c9">MATERIAL_GRAVEL</a>           = 15;   <span class="comment">//gravel</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d5/d63/group___materials.html#ga147383910e1b4afa2f4a443899f5025a">  103</a></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d63/group___materials.html#ga147383910e1b4afa2f4a443899f5025a">MATERIAL_STONE</a>            = 16;   <span class="comment">//rocks, cliffs</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="ttc" id="agroup___colors_html_ga2b44fba5aa42271c2d9d224a8f5583db"><div class="ttname"><a href="../../dd/d13/group___colors.html#ga2b44fba5aa42271c2d9d224a8f5583db">COLOR_BLUE</a></div><div class="ttdeci">const int COLOR_BLUE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00065">constants.c:65</a></div></div>
<div class="ttc" id="agroup___colors_html_ga47541ebd6a462cb65cd01ea38b38f73a"><div class="ttname"><a href="../../dd/d13/group___colors.html#ga47541ebd6a462cb65cd01ea38b38f73a">COLOR_BLUE_A</a></div><div class="ttdeci">const int COLOR_BLUE_A</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00070">constants.c:70</a></div></div>
<div class="ttc" id="agroup___colors_html_ga4d15e7681836d9172182f12364a7603f"><div class="ttname"><a href="../../dd/d13/group___colors.html#ga4d15e7681836d9172182f12364a7603f">COLOR_RED_A</a></div><div class="ttdeci">const int COLOR_RED_A</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00068">constants.c:68</a></div></div>
<div class="ttc" id="agroup___colors_html_ga67e1e0c1b9c65f5fd2a68c9323808c03"><div class="ttname"><a href="../../dd/d13/group___colors.html#ga67e1e0c1b9c65f5fd2a68c9323808c03">COLOR_RED</a></div><div class="ttdeci">const int COLOR_RED</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00063">constants.c:63</a></div></div>
<div class="ttc" id="agroup___colors_html_ga99b2555651fb3bdd7bca23e5b6553968"><div class="ttname"><a href="../../dd/d13/group___colors.html#ga99b2555651fb3bdd7bca23e5b6553968">COLOR_GREEN</a></div><div class="ttdeci">const int COLOR_GREEN</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00064">constants.c:64</a></div></div>
<div class="ttc" id="agroup___colors_html_gab99c2e5fe0809461bf77fd90b9df62a2"><div class="ttname"><a href="../../dd/d13/group___colors.html#gab99c2e5fe0809461bf77fd90b9df62a2">COLOR_YELLOW_A</a></div><div class="ttdeci">const int COLOR_YELLOW_A</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00071">constants.c:71</a></div></div>
<div class="ttc" id="agroup___colors_html_gafeaeed5f47ca7e9f11f7e7f31ebae401"><div class="ttname"><a href="../../dd/d13/group___colors.html#gafeaeed5f47ca7e9f11f7e7f31ebae401">COLOR_GREEN_A</a></div><div class="ttdeci">const int COLOR_GREEN_A</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00069">constants.c:69</a></div></div>
<div class="ttc" id="agroup___colors_html_gafece9f43fd3cfa396624aad4aa7bba33"><div class="ttname"><a href="../../dd/d13/group___colors.html#gafece9f43fd3cfa396624aad4aa7bba33">COLOR_YELLOW</a></div><div class="ttdeci">const int COLOR_YELLOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00066">constants.c:66</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga0e1da8543b616f6fba6f2f729570f21b"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga0e1da8543b616f6fba6f2f729570f21b">INPUT_MODULE_TYPE_MASK</a></div><div class="ttdeci">const int INPUT_MODULE_TYPE_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00013">constants.c:13</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga1aed04c18ca40373493ed33489d39366"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga1aed04c18ca40373493ed33489d39366">INPUT_DEVICE_MOUSE</a></div><div class="ttdeci">const int INPUT_DEVICE_MOUSE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00024">constants.c:24</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga2676ee945a16e6e3b2c80371b799c8cc"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga2676ee945a16e6e3b2c80371b799c8cc">INPUT_DEVICE_CHEAT</a></div><div class="ttdeci">const int INPUT_DEVICE_CHEAT</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00029">constants.c:29</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga2806f278e1ab4870ae33bff2c9a2a3cb"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga2806f278e1ab4870ae33bff2c9a2a3cb">INPUT_ACTION_TYPE_STATE</a></div><div class="ttdeci">const int INPUT_ACTION_TYPE_STATE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00032">constants.c:32</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga2e75d42358741665e0d422cdd395cc91"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga2e75d42358741665e0d422cdd395cc91">INPUT_ACTION_TYPE_HOLD_EVENT</a></div><div class="ttdeci">const int INPUT_ACTION_TYPE_HOLD_EVENT</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00036">constants.c:36</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga37127727e04d485dbb440f05df18488b"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga37127727e04d485dbb440f05df18488b">INPUT_POV</a></div><div class="ttdeci">const int INPUT_POV</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00017">constants.c:17</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga376f4fcb616c5a019b1585a73105e48b"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga376f4fcb616c5a019b1585a73105e48b">INPUT_DEVICE_STICK_AXIS</a></div><div class="ttdeci">const int INPUT_DEVICE_STICK_AXIS</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00043">constants.c:43</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga48849f9d3bd3bff1614d8270446dcadd"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga48849f9d3bd3bff1614d8270446dcadd">INPUT_COMBO_AXIS_OFFSET</a></div><div class="ttdeci">const int INPUT_COMBO_AXIS_OFFSET</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00020">constants.c:20</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga4e9263b2bea86d43a16a09f02c7dbdd6"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga4e9263b2bea86d43a16a09f02c7dbdd6">INPUT_DEVICE_STICK</a></div><div class="ttdeci">const int INPUT_DEVICE_STICK</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00025">constants.c:25</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga51177486a6bbc1c01a2d09f964e3ac13"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga51177486a6bbc1c01a2d09f964e3ac13">INPUT_ACTION_TYPE_DOUBLETAP</a></div><div class="ttdeci">const int INPUT_ACTION_TYPE_DOUBLETAP</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00040">constants.c:40</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga53ac46bdbb8a66270b49bc1a708e1f6a"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga53ac46bdbb8a66270b49bc1a708e1f6a">INPUT_COMBO_AXIS</a></div><div class="ttdeci">const int INPUT_COMBO_AXIS</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00019">constants.c:19</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga5994e1c4bf7235343ed25ed46c5263c8"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga5994e1c4bf7235343ed25ed46c5263c8">INPUT_ACTION_TYPE_UP_EVENT</a></div><div class="ttdeci">const int INPUT_ACTION_TYPE_UP_EVENT</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00034">constants.c:34</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga62f3d271931d8cdb3456dbce0d43b010"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga62f3d271931d8cdb3456dbce0d43b010">INPUT_KEY_MASK</a></div><div class="ttdeci">const int INPUT_KEY_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00014">constants.c:14</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga6e28930e53f5a93cade50cd4e926dc97"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga6e28930e53f5a93cade50cd4e926dc97">INPUT_ACTION_TYPE_MASK</a></div><div class="ttdeci">const int INPUT_ACTION_TYPE_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00015">constants.c:15</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga6f089dce2f92302deaf9bb40edc58528"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga6f089dce2f92302deaf9bb40edc58528">INPUT_COMBO_MASK</a></div><div class="ttdeci">const int INPUT_COMBO_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00018">constants.c:18</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga73bfeba6e52accfac238582c35f1cfae"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga73bfeba6e52accfac238582c35f1cfae">INPUT_ACTION_TYPE_SHORTCLICK_EVENT</a></div><div class="ttdeci">const int INPUT_ACTION_TYPE_SHORTCLICK_EVENT</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00035">constants.c:35</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga781bc4a1620839607824c93a0b812d8d"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga781bc4a1620839607824c93a0b812d8d">INPUT_COMBO_KEY_OFFSET</a></div><div class="ttdeci">const int INPUT_COMBO_KEY_OFFSET</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00021">constants.c:21</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga78b90e8e45ba421bd03630375de2f44e"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga78b90e8e45ba421bd03630375de2f44e">INPUT_DEVICE_TRACKIR</a></div><div class="ttdeci">const int INPUT_DEVICE_TRACKIR</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00027">constants.c:27</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga7d438bb0305c8a1c7fade496fe0eb6c4"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga7d438bb0305c8a1c7fade496fe0eb6c4">INPUT_AXIS</a></div><div class="ttdeci">const int INPUT_AXIS</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00016">constants.c:16</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga8a10a4ecb0bb65754e0c389a4a5161f1"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga8a10a4ecb0bb65754e0c389a4a5161f1">INPUT_DEVICE_GAMEPAD</a></div><div class="ttdeci">const int INPUT_DEVICE_GAMEPAD</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00028">constants.c:28</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga8bf42673989ad3005319516f44af2ba8"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga8bf42673989ad3005319516f44af2ba8">INPUT_DEVICE_MOUSE_AXIS</a></div><div class="ttdeci">const int INPUT_DEVICE_MOUSE_AXIS</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00042">constants.c:42</a></div></div>
<div class="ttc" id="agroup___input_device_html_ga9dd5a20a3f5e67d8a500e7698b098a36"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#ga9dd5a20a3f5e67d8a500e7698b098a36">INPUT_ACTION_TYPE_COMBO</a></div><div class="ttdeci">const int INPUT_ACTION_TYPE_COMBO</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00038">constants.c:38</a></div></div>
<div class="ttc" id="agroup___input_device_html_gacf3f8be9835a62a3ec02462f83ffdc27"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#gacf3f8be9835a62a3ec02462f83ffdc27">INPUT_DEVICE_XINPUT</a></div><div class="ttdeci">const int INPUT_DEVICE_XINPUT</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00026">constants.c:26</a></div></div>
<div class="ttc" id="agroup___input_device_html_gacf8975f52bccc8a0ad5668d95d007917"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#gacf8975f52bccc8a0ad5668d95d007917">INPUT_ACTION_TYPE_DOWN_EVENT</a></div><div class="ttdeci">const int INPUT_ACTION_TYPE_DOWN_EVENT</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00033">constants.c:33</a></div></div>
<div class="ttc" id="agroup___input_device_html_gad51cd4480ea33a86d9f157a58bae9993"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#gad51cd4480ea33a86d9f157a58bae9993">INPUT_DEVICE_STICK_POV</a></div><div class="ttdeci">const int INPUT_DEVICE_STICK_POV</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00044">constants.c:44</a></div></div>
<div class="ttc" id="agroup___input_device_html_gad603ec239bd09bc7e5f2ce09cbeb8961"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#gad603ec239bd09bc7e5f2ce09cbeb8961">INPUT_DEVICE_KEYBOARD</a></div><div class="ttdeci">const int INPUT_DEVICE_KEYBOARD</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00023">constants.c:23</a></div></div>
<div class="ttc" id="agroup___input_device_html_gad7b2fcabfc7926abe24700de48abd155"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#gad7b2fcabfc7926abe24700de48abd155">INPUT_ACTION_TYPE_NONE</a></div><div class="ttdeci">const int INPUT_ACTION_TYPE_NONE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00031">constants.c:31</a></div></div>
<div class="ttc" id="agroup___input_device_html_gadf1d72e933206d5942871fd0706efbfe"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#gadf1d72e933206d5942871fd0706efbfe">INPUT_ACTION_TYPE_SPECIALCOMBO</a></div><div class="ttdeci">const int INPUT_ACTION_TYPE_SPECIALCOMBO</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00039">constants.c:39</a></div></div>
<div class="ttc" id="agroup___input_device_html_gaefde5a663cdda3cfaa6c221ba151b487"><div class="ttname"><a href="../../d1/dc3/group___input_device.html#gaefde5a663cdda3cfaa6c221ba151b487">INPUT_DEVICE_GAMEPAD_AXIS</a></div><div class="ttdeci">const int INPUT_DEVICE_GAMEPAD_AXIS</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00045">constants.c:45</a></div></div>
<div class="ttc" id="agroup___materials_html_ga0ab8820d11774e49b8529ab051775ba7"><div class="ttname"><a href="../../d5/d63/group___materials.html#ga0ab8820d11774e49b8529ab051775ba7">MATERIAL_BETON</a></div><div class="ttdeci">const int MATERIAL_BETON</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00094">constants.c:94</a></div></div>
<div class="ttc" id="agroup___materials_html_ga147383910e1b4afa2f4a443899f5025a"><div class="ttname"><a href="../../d5/d63/group___materials.html#ga147383910e1b4afa2f4a443899f5025a">MATERIAL_STONE</a></div><div class="ttdeci">const int MATERIAL_STONE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00103">constants.c:103</a></div></div>
<div class="ttc" id="agroup___materials_html_ga1955721b1226f7ee7ad13776436dc7c9"><div class="ttname"><a href="../../d5/d63/group___materials.html#ga1955721b1226f7ee7ad13776436dc7c9">MATERIAL_GRAVEL</a></div><div class="ttdeci">const int MATERIAL_GRAVEL</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00102">constants.c:102</a></div></div>
<div class="ttc" id="agroup___materials_html_ga3c8b9b2ce7e2f18934a8da873babbe1d"><div class="ttname"><a href="../../d5/d63/group___materials.html#ga3c8b9b2ce7e2f18934a8da873babbe1d">MATERIAL_IRON</a></div><div class="ttdeci">const int MATERIAL_IRON</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00089">constants.c:89</a></div></div>
<div class="ttc" id="agroup___materials_html_ga5a745a05e1dff3a62259aebb5dba5efe"><div class="ttname"><a href="../../d5/d63/group___materials.html#ga5a745a05e1dff3a62259aebb5dba5efe">MATERIAL_DEFAULT</a></div><div class="ttdeci">const int MATERIAL_DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00087">constants.c:87</a></div></div>
<div class="ttc" id="agroup___materials_html_ga5b066c904cbd1b2fbc89c4dd79143aa7"><div class="ttname"><a href="../../d5/d63/group___materials.html#ga5b066c904cbd1b2fbc89c4dd79143aa7">MATERIAL_SNOW</a></div><div class="ttdeci">const int MATERIAL_SNOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00099">constants.c:99</a></div></div>
<div class="ttc" id="agroup___materials_html_ga7c3bc9698b26b54dfb5f36a6d2cebade"><div class="ttname"><a href="../../d5/d63/group___materials.html#ga7c3bc9698b26b54dfb5f36a6d2cebade">MATERIAL_LIQUID</a></div><div class="ttdeci">const int MATERIAL_LIQUID</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00092">constants.c:92</a></div></div>
<div class="ttc" id="agroup___materials_html_ga961ac11ef1db0099f30821d5cfda6d1d"><div class="ttname"><a href="../../d5/d63/group___materials.html#ga961ac11ef1db0099f30821d5cfda6d1d">MATERIAL_SLIME</a></div><div class="ttdeci">const int MATERIAL_SLIME</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00093">constants.c:93</a></div></div>
<div class="ttc" id="agroup___materials_html_gaab090c538f14f793e44f338cd59edd81"><div class="ttname"><a href="../../d5/d63/group___materials.html#gaab090c538f14f793e44f338cd59edd81">MATERIAL_METAL</a></div><div class="ttdeci">const int MATERIAL_METAL</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00088">constants.c:88</a></div></div>
<div class="ttc" id="agroup___materials_html_gabf56c72043efec5df6f3df0a48ff82be"><div class="ttname"><a href="../../d5/d63/group___materials.html#gabf56c72043efec5df6f3df0a48ff82be">MATERIAL_DIRT</a></div><div class="ttdeci">const int MATERIAL_DIRT</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00101">constants.c:101</a></div></div>
<div class="ttc" id="agroup___materials_html_gacc347625336c4c7bd1249f80e2ee777f"><div class="ttname"><a href="../../d5/d63/group___materials.html#gacc347625336c4c7bd1249f80e2ee777f">MATERIAL_WOOD</a></div><div class="ttdeci">const int MATERIAL_WOOD</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00098">constants.c:98</a></div></div>
<div class="ttc" id="agroup___materials_html_gae26944626968c9ee81a557afdc38455f"><div class="ttname"><a href="../../d5/d63/group___materials.html#gae26944626968c9ee81a557afdc38455f">MATERIAL_GRASS</a></div><div class="ttdeci">const int MATERIAL_GRASS</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00097">constants.c:97</a></div></div>
<div class="ttc" id="agroup___materials_html_gaea2ee568a35593e32d4538b05ebf2b0b"><div class="ttname"><a href="../../d5/d63/group___materials.html#gaea2ee568a35593e32d4538b05ebf2b0b">MATERIAL_GLASS</a></div><div class="ttdeci">const int MATERIAL_GLASS</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00090">constants.c:90</a></div></div>
<div class="ttc" id="agroup___materials_html_gaf317a8043b586d174fc45279a2fb6735"><div class="ttname"><a href="../../d5/d63/group___materials.html#gaf317a8043b586d174fc45279a2fb6735">MATERIAL_SAND</a></div><div class="ttdeci">const int MATERIAL_SAND</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00100">constants.c:100</a></div></div>
<div class="ttc" id="agroup___materials_html_gaf8cef8940424e6e00cffd2f5e74aaf29"><div class="ttname"><a href="../../d5/d63/group___materials.html#gaf8cef8940424e6e00cffd2f5e74aaf29">MATERIAL_PLASTIC</a></div><div class="ttdeci">const int MATERIAL_PLASTIC</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00091">constants.c:91</a></div></div>
<div class="ttc" id="agroup___materials_html_gaf9d8e06cde08cedd9050bb5ab79f12c3"><div class="ttname"><a href="../../d5/d63/group___materials.html#gaf9d8e06cde08cedd9050bb5ab79f12c3">MATERIAL_FLESH</a></div><div class="ttdeci">const int MATERIAL_FLESH</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00096">constants.c:96</a></div></div>
<div class="ttc" id="agroup___materials_html_gafa11f62afc9d7de8c217a151face6d76"><div class="ttname"><a href="../../d5/d63/group___materials.html#gafa11f62afc9d7de8c217a151face6d76">MATERIAL_RUBBER</a></div><div class="ttdeci">const int MATERIAL_RUBBER</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00095">constants.c:95</a></div></div>
<div class="ttc" id="agroup___string_constants_html_gafc1a547acaf02f4fd1a0d9e1bf190142"><div class="ttname"><a href="../../d1/d84/group___string_constants.html#gafc1a547acaf02f4fd1a0d9e1bf190142">STRING_EMPTY</a></div><div class="ttdeci">const string STRING_EMPTY</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dca/1___core_2constants_8c_source.html#l00054">constants.c:54</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_8458acb75977370f2590729f022fcd01.html">1_Core</a></li><li class="navelem"><a class="el" href="../../d5/dca/1___core_2constants_8c.html">constants.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
